Subject: bug#78193: Emacs compilation warnings with GCC 15 on Windows 10

From: Corwin Brust <[email-masked]>
Date: Sun, 1 Jun 2025 07:28:42 -0500

On Sun, Jun 1, 2025 at 4:10 AM Eli Zaretskii <[email-masked]> wrote:
>
> > From: MAN ONE <[email-masked]>
> > Date: Thu, 1 May 2025 12:40:28 +0000
> >
> > Hi, the attachment is a build log of compiling Emacs on Windows 10 in Msys2's
> > UCRT environment, most of the warnings are from windows related files, so I
> > think it may be helpful to report it.
>
> Thanks, I hope I've now fixed most of those.
>

FWIW, my automated MSYS2/MINGW64 builds from the development branch
have gone, overnight, from 148 warnings to 29.  (Let me know if
sharing more detail is helpful; I'm assuming it could simply confuse
things since the focus here seems to have been UCTR builds..).   The
output (binaries) for these builds are on my personal site, in case
they may be helpful.  I have several years of build logs also on the
off chance deep analysis of these would prove interesting at some
point however I haven't made those available online so far.
https://corwin.bru.st/emacs-31